package com.factory.controller.wx;

import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.base.util.res.ResponseBeanBuilder;
import com.factory.web.entity.fa.req.SearchFaPlanReq;
import com.factory.web.entity.fa.res.FaPlanRes;
import com.factory.web.service.fa.FirstArticleService;
import com.factory.wx.entity.req.PlanApprovalTaskReq;
import com.factory.wx.entity.req.PlanInfoReq;
import com.factory.wx.entity.req.PlanPageReq;
import com.factory.wx.entity.req.PlanPassReq;
import com.factory.wx.entity.res.PlanPassDetailRes;
import com.factory.wx.entity.res.PlanPassRes;
import com.factory.wx.service.PlanPassService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 微信小程序端计划
 *
 * @author sMArT
 * @version 1.0
 * @date 2021-07-05 3:06 下午
 */
@Api(tags = "微信小程序端")
@RestController
@RequestMapping("/plans/pass")
@Slf4j
public class PlanPassController {

    @Autowired
    private PlanPassService planPassService;
    @Autowired
    private FirstArticleService firstArticleService;

    @ApiOperation(value = "计划放行列表")
    @PostMapping("/list")
    public ResponseBean<Map> pass(@RequestBody PlanPageReq planPageReq) {
        List<PlanPassRes> passList = planPassService.getPassList(planPageReq);
        Map map = new HashMap<>();
        map.put("row", passList);
        return ResponseBeanBuilder.ok(map);
    }

    @ApiOperation(value = "计划放行详情-首件")
    @PostMapping("/detail/initial")
    public ResponseBean<PlanPassDetailRes> passDetail(@RequestBody PlanPassReq planPassReq) {
        PlanPassDetailRes planPassDetailRes = planPassService.getPassDetail(planPassReq);
        return ResponseBeanBuilder.ok(planPassDetailRes);
    }

    @ApiOperation(value = "计划放行详情-防错")
    @PostMapping("/detail/pm")
    public ResponseBean<PlanPassDetailRes> passDetailPM(@RequestBody PlanPassReq planPassReq) {
        PlanPassDetailRes planPassDetailRes = planPassService.getPassDetailPM(planPassReq);
        return ResponseBeanBuilder.ok(planPassDetailRes);
    }


    @ApiOperation(value = "计划放行")
    @PostMapping("/operate")
    public ResponseBean passOperate(@RequestBody PlanApprovalTaskReq planApprovalTaskReq) {
        return planPassService.approvalTaskOperate(planApprovalTaskReq);
    }

}
